# Generated by Django 3.2 on 2021-04-14 16:39

from django.db import migrations, models


def move_instrumentation_for_rasters(apps, schema_editor):
    RasterMetaEntry = apps.get_model('geodata', 'RasterMetaEntry')  # noqa
    for r in RasterMetaEntry.objects.all():
        r.instrumentation = r.parent_raster.image_set.images.first().instrumentation
        r.save(update_fields=['instrumentation'])


class Migration(migrations.Migration):

    dependencies = [
        ('geodata', '0008_rasterentry_ancillary_files'),
    ]

    operations = [
        migrations.AddField(
            model_name='spatialentry',
            name='instrumentation',
            field=models.CharField(
                blank=True,
                help_text='The instrumentation used to acquire these data.',
                max_length=100,
                null=True,
            ),
        ),
        migrations.RunPython(move_instrumentation_for_rasters),
        migrations.RemoveField(
            model_name='imageentry',
            name='instrumentation',
        ),
    ]
